APT-SORTPKGS(1)

NOM
apt-sortpkgs - Outil de tri des index de paquets.

SYNOPSIS

apt-sortpkgs [-s] [-o=chaîne_de_configuration] [-c=fichier_de_configuration] nom_de_fichier... {-v | --version} {-h | --help}

DESCRIPTION

Apt-sortpkgs prend un index (un index de Source ou un index de paquet) et trie leurs enregistrements selon le nom de paquet. Un tri des champs de chaque enregistrement est réalisé selon des règles internes.

Le résultat est envoyé sur la sortie standard ; l'entrée doit être un fichier analysable.

OPTIONS

Toutes les options de la ligne de commande peuvent être définies dans le fichier de configuration, les descriptions indiquant l'option de configuration concernée. Pour les options booléennes, vous pouvez outrepasser les réglages du fichier de configuration avec -f-,--no-f, -f=no ou d'autres variations.

-s, --source
    Utiliser un index de sources pour le tri des champs. Élément de configuration : APT::SortPkgs::Source.

-h, --help
    Afficher un bref résumé de l'utilisation.

-v, --version
    Afficher la version du programme.

--audit
    Afficher les messages d'audit (et de notification). Cela annule l'option mode silencieux, mais seulement pour les messages de notification, pas pour ceux de progression.

-c, --config-file
    Fichier de configuration ; indique le fichier de configuration à utiliser. Le programme lira le fichier de configuration par défaut puis le fichier indiqué ici. Si les réglages de configuration doivent être établis avant l'analyse des fichiers de configuration par défaut, un fichier peut être indiqué avec la variable d'environnementAPT_CONFIG. Veuillez consulter apt.conf(5) pour des informations sur la syntaxe d'utilisation.

-o, --option
    Définir une option de configuration ; permet de régler une option de configuration donnée. La syntaxe est -o Foo::Bar=bar. -o et --option peuvent être utilisées plusieurs fois pour définir des options différentes.

--cli-version
    Requests a specific CLI version. This is a pattern that takes a MAJOR.MINOR version. You may omit the MINOR version, in which case the latest supported minor level will be used.

    Version tracks are presented as follows: The version 3.2 has equivalent versions 0.32, 1.22, and 2.12, implementing new features for their specified major versions.

    A special case is the X.9 version pattern: A version like 2.9 is followed by 3.0, but 2.10 follows directly on 2.8; given that we use odd version numbers as development series (2.9 is the 3.0 development series).

    This feature has been introduced in APT 3.1.10, and replaces the binary-specific configuration. You may use the APT::Version to similar effect on older binaries, for example, use -o APT::Version=2 to make apt(8) behave like the 2.x series.

    The default value is the current APT version for apt(8) and 0.(10 * major + minor) for the classic commands. The 0.X series is soft-deprecated and the other commands will roll over to the 2.x series in the future.

--no-color, --color
    Active ou désactive les couleurs. Elles sont activées par défaut sur les terminaux pris en charge pour apt(8) et peuvent aussi être désactivées avec les variables d'environnement NO_COLOR ou APT_NO_COLOR, ou configurées plus tard par l'option et le champ d'action de configuration APT::Color. Consulter apt.conf(5) pour plus d’informations.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-sortpkgs retourne zéro si tout se passe bien ou 100 en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier <bubulle@debian.org> (2000, 2005, 2009, 2010), bubu et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> (2004, 2017-2024) et l'équipe de traduction francophone de Debian <debian-l10n-french@lists.debian.org>

Veuillez noter que cette traduction peut contenir des parties non traduites. Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTEURS

Jason Gunthorpe

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    https://bugs.debian.org/src:apt